# salt.states.gpg

## Management of the GPG keychains

New in version 2016.3.0.

salt.states.gpg.absent(name, keys=None, user=None, gnupghome=None, **kwargs)

  Ensure GPG public key is absent in keychain

  name

    The unique name or keyid for the GPG public key.

  keys

    The keyId or keyIds to add to the GPG keychain.

  user

    Remove GPG keys from the specified user's keychain

  gnupghome

    Override GNUPG Home directory

salt.states.gpg.present(name, keys=None, user=None, keyserver=None, gnupghome=None, trust=None, **kwargs)

  Ensure GPG public key is present in keychain

  name

    The unique name or keyid for the GPG public key.

  keys

    The keyId or keyIds to add to the GPG keychain.

  user

    Add GPG keys to the specified user's keychain

  keyserver

    The keyserver to retrieve the keys from.

  gnupghome

    Override GNUPG Home directory

  trust

    Trust level for the key in the keychain, ignored by default. Valid trust levels: expired, unknown, not_trusted, marginally, fully, ultimately